(function HYPE_DocumentLoader() {
	var resourcesFolderName = "regularRandom.hyperesources";
	var documentName = "regularRandom";
	var documentLoaderFilename = "regularrandom_hype_generated_script.js";
	var mainContainerID = "regularrandom_hype_container";
	var hasPhysics = false;
	var hasExtendedRuntimeFeatures = false;

	// find the URL for this script's absolute path and set as the resourceFolderName
	if(false == false) {
		try {
			var scripts = document.getElementsByTagName('script');
			for(var i = 0; i < scripts.length; i++) {
				var scriptSrc = scripts[i].src;
				var documentLoaderFilenameIndex = (scriptSrc != null) ? scriptSrc.indexOf("/" + documentLoaderFilename) : -1;
				if(documentLoaderFilenameIndex != -1) {
					resourcesFolderName = scriptSrc.substr(0, documentLoaderFilenameIndex);
					break;
				}
			}
		} catch(err) {	}
	}

	var loadScriptIfNecessary = function(windowObjectVariableName, documentsToLoadKey, scriptName, integrityHash) {
		var waitForResourcesToLoad = false;
		if (window[windowObjectVariableName] == null) {
			if (window[documentsToLoadKey] == null) {
				window[documentsToLoadKey] = Array();
				window[documentsToLoadKey].push(HYPE_DocumentLoader);

				var headElement = document.getElementsByTagName('head')[0];
				var scriptElement = document.createElement('script');
				var scriptContainingPath = resourcesFolderName;
				if(false == true) {
					scriptContainingPath = "";
				}
				scriptElement.type = 'text/javascript';
				if(integrityHash != "") {
 					scriptElement['integrity'] = integrityHash;
 					scriptElement.setAttribute('crossorigin', "anonymous");
				}
				scriptElement.src = (scriptContainingPath + '/' + scriptName);
				headElement.appendChild(scriptElement);
			} else {
				window[documentsToLoadKey].push(HYPE_DocumentLoader);
			}
			waitForResourcesToLoad = true;
		}
		return waitForResourcesToLoad;
	}

	var runtimeObjectVariableName = 'HYPE_728';
	var runtimeDocumentsToLoadKey = 'HYPE_dtl_728';
	var browserMatches = navigator.userAgent.match(/MSIE (\d+\.\d+)/);
	var ieVersion = (parseFloat(browserMatches && browserMatches[1]) || null);
	var alreadyLoadingFullRuntime = (window[runtimeObjectVariableName + 'F'] != null || window[runtimeDocumentsToLoadKey + 'F'] != null);
	var useExtendedRuntime = (alreadyLoadingFullRuntime == true || hasExtendedRuntimeFeatures == true || (ieVersion != null && ieVersion < 10));
	var scriptName = (useExtendedRuntime == true ? "HYPE-728.full.js" : "HYPE-728.thin.js");
	var extendedRuntimeModifier = (useExtendedRuntime == true ? 'F' : 'T');
	var runtimeIntegrity = useExtendedRuntime ? "" : ""

	if(false == false) {
		var waitForResourcesToLoad = loadScriptIfNecessary(runtimeObjectVariableName + extendedRuntimeModifier, runtimeDocumentsToLoadKey + extendedRuntimeModifier, scriptName, runtimeIntegrity);
		if (false == true) {
			waitForResourcesToLoad = waitForResourcesToLoad || loadScriptIfNecessary('HYPE_w_728', 'HYPE_wdtl_728', 'HYPE-728.waypoints.js', "");
		}
		if (hasPhysics == true) {
			waitForResourcesToLoad = waitForResourcesToLoad || loadScriptIfNecessary('Matter', 'HYPE_pdtl_728', 'HYPE-728.physics.js', "");
		}

		if (waitForResourcesToLoad) {
			return;
		}
	}
	
	var globalHypeDocuments = window['HYPE']['documents'];
	
	// handle attempting to load multiple times
	if(globalHypeDocuments[documentName] != null) {
		var index = 1;
		var originalDocumentName = documentName;
		do {
			documentName = "" + originalDocumentName + "-" + (index++);
		} while(globalHypeDocuments[documentName] != null);
		
		var allDivs = document.getElementsByTagName("div");
		var foundEligibleContainer = false;
		for(var i = 0; i < allDivs.length; i++) {
			if(allDivs[i].id == mainContainerID && allDivs[i].getAttribute("HYP_dn") == null) {
				var index = 1;
				var originalMainContainerID = mainContainerID;
				do {
					mainContainerID = "" + originalMainContainerID + "-" + (index++);
				} while(document.getElementById(mainContainerID) != null);
				
				allDivs[i].id = mainContainerID;
				foundEligibleContainer = true;
				break;
			}
		}
		
		if(foundEligibleContainer == false) {
			return;
		}
	}

	var resources = {"-1":{n:"PIE.htc"},"-2":{n:"blank.gif"}};

	var headAdditions = [];

	var sceneContainers = [{n:"Untitled Scene",o:"1",X:[0]}]
 
	var scenes = [{A:{a:[{p:4,h:"10"}]},o:"3",p:"600px",cA:false,Y:600,Z:400,c:"#FFF",L:[],bY:1,d:600,U:{},T:{kTimelineDefaultIdentifier:{q:false,z:0,i:"kTimelineDefaultIdentifier",n:"Main Timeline",a:[],f:30,b:[]}},bZ:180,O:["11","12","13","14","15"],n:"Untitled Layout","_":0,v:{"13":{aU:20,c:521,aV:20,d:17,I:"Solid",J:"Solid",K:"Solid",g:"#E8EBED",L:"Solid",M:1,N:1,aI:13,A:"#D8DDE4",x:"visible",j:"absolute",B:"#D8DDE4",P:1,O:1,C:"#D8DDE4",z:3,aJ:13,D:"#D8DDE4",aK:13,aS:20,k:"div",aT:20,a:16,aL:13,b:169},"12":{aU:20,c:521,aV:20,d:15,I:"Solid",J:"Solid",K:"Solid",g:"#E8EBED",L:"Solid",M:1,N:1,aI:13,A:"#D8DDE4",x:"visible",j:"absolute",B:"#D8DDE4",P:1,O:1,C:"#D8DDE4",z:2,aJ:13,D:"#D8DDE4",aK:13,aS:20,k:"div",aT:20,a:16,aL:13,b:95},"15":{aU:20,c:521,aV:20,d:14,I:"Solid",J:"Solid",K:"Solid",g:"#E8EBED",L:"Solid",M:1,N:1,aI:13,A:"#D8DDE4",x:"visible",j:"absolute",B:"#D8DDE4",P:1,O:1,C:"#D8DDE4",z:5,aJ:13,D:"#D8DDE4",aK:13,aS:20,k:"div",aT:20,a:16,aL:13,b:319},"11":{aU:20,c:521,aV:20,d:14,I:"Solid",J:"Solid",K:"Solid",g:"#E8EBED",L:"Solid",M:1,N:1,aI:13,A:"#D8DDE4",x:"visible",j:"absolute",B:"#D8DDE4",P:1,O:1,C:"#D8DDE4",z:1,aJ:13,D:"#D8DDE4",aK:13,aS:20,k:"div",aT:20,a:16,aL:13,b:22},"14":{aU:20,c:521,aV:20,d:15,I:"Solid",J:"Solid",K:"Solid",g:"#E8EBED",L:"Solid",M:1,N:1,aI:13,A:"#D8DDE4",x:"visible",j:"absolute",B:"#D8DDE4",P:1,O:1,C:"#D8DDE4",z:4,aJ:13,D:"#D8DDE4",aK:13,aS:20,k:"div",aT:20,a:16,aL:13,b:245}}}];
 
	var persistentSymbolDescendants = {};
	
	var loadingScreenFunction = null;

	var javascripts = Array() /* for minifier */, javascripts = [{name:"showIDs",source:"function(hypeDocument, element, event) {\t\n\telement.querySelectorAll ('.HYPE_element').forEach((elm) =>{\n\t\telm.innerHTML = elm.id;\n\t});\n}",identifier:"10"}];

	var functions = {};
	var javascriptMapping = {};
	for(var i = 0; i < javascripts.length; i++) {
		try {
			javascriptMapping[javascripts[i].identifier] = javascripts[i].name;
			functions[javascripts[i].name] = eval("(function(){return " + javascripts[i].source + "})();");
		} catch (e) {
			if(window.console) {
				window.console.log(e);
			}
			functions[javascripts[i].name] = (function () {});
		}
	}
 
 	var timingFunctions = {};

	var hypeDoc = new window[runtimeObjectVariableName + extendedRuntimeModifier](
										documentName,
										mainContainerID,
										resources,
										resourcesFolderName,
										headAdditions,
										functions,
									    sceneContainers,
										scenes,
									    persistentSymbolDescendants,
										javascriptMapping,
									    timingFunctions,
										loadingScreenFunction,
										hasPhysics,
										true,
										-1,
										true,
										true,
										false,
										true,
										true);

	globalHypeDocuments[documentName] = hypeDoc['API'];
	document.getElementById(mainContainerID).setAttribute("HYP_dn", documentName);

	hypeDoc['z_o'](this.body);
}());

